Summary:	Chef knife plugins to help backup and restore chef servers
Name:		knife-backup
Version:	0.0.10
Release:	1
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{name}-%{version}.gem
# Source0-md5:	bf69bba9c8caa111b675390e5cfabcf2
URL:		https://github.com/mdxp/knife-backup
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Requires:	knife >= 0.10.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chef knife plugins to help backup and restore chef servers

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/%{name}.rb
%{ruby_vendorlibdir}/%{name}
%{ruby_vendorlibdir}/chef/knife/backup_export.rb
%{ruby_vendorlibdir}/chef/knife/backup_restore.rb
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/knife-backup.git;a=log;h=master

* Sat Nov 15 2014 Elan Ruusamäe <glen@delfi.ee> accdf65
- up to 0.0.10: fix missing json module load

* Sat Nov 15 2014 Elan Ruusamäe <glen@delfi.ee> 504fd8a
- up to 0.0.9: backup users

* Sat Nov 15 2014 Elan Ruusamäe <glen@delfi.ee> 1b7f44a
- rel 1

* Sat Dec 21 2013 Elan Ruusamäe <glen@delfi.ee> e77213c
- require knife

* Sat Dec 21 2013 Elan Ruusamäe <glen@delfi.ee> 4944622
- renamed to knife-backup

* Mon Sep 09 2013 Elan Ruusamäe <glen@delfi.ee> e009e1f
- new, version 0.0.8

